### Signal

# Ide RunManager::run

#### Declaration

    void
    run (
      IdeRunManager* self,
      IdeRunner* runner,
      gpointer user_data
    )

#### Description

This signal is emitted right before `ide_runner_run_async()` is called on an `IdeRunner`. It can be used by plugins to tweak things right before the runner is executed.

The current run handler (debugger, profiler, etc) is run as the default handler for this function. So connect with `G_SIGNAL_AFTER` if you want to be nofied after the run handler has executed. It’s unwise to change things that the run handler might expect. Generally if you want to change settings, do that before the run handler has exected.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`runner` | `IdeRunner`
| An `IdeRunner`.
| The data is owned by the caller of the function.